# Libraries
library("plm")

# Load Data
data = read.csv("CigarData_1.csv")

fm <- log(c) ~ log(price) + log(ndi) + log(pimin) | log(ndi_1) + log(pimin_1) + log(ndi) + log(pimin)

# Panel IV FE
regivfe <- plm(fm, data=data, model="within")
summary(regivfe)

# Panel IV BE
regivbe <- plm(fm, data=data, model="between")
summary(regivbe)

# Panel IV RE
regivre <- plm(fm, data=data, model="random")
summary(regivre)

# Panel IV EC
regivec <- plm(fm, data=data, model="random", inst.method="baltagi")
summary(regivec)


