# Libraries
library("plm")

# Load Data
data = read.csv("MunnellData.csv")

fm <- log(gsp) ~ log(pcap) + log(pc) + log(emp) + unemp

# Panel FE
regfe <- plm(fm, data=data, model="within")
summary(regfe)

# Panel BE
regbe <- plm(fm, data=data, model="between")
summary(regbe)

# Panel RE
regre <- plm(fm, data=data, model="random")
summary(regre)
