# Libraries
library("splm")
library("spdep")

# Load Data
data = read.csv("MunnellData.csv")
W = read.table("MunnellW.txt")
W = as.matrix(W)
lw = mat2listw(W)

fm <- log(gsp) ~ log(pcap) + log(pc) + log(emp) + unemp

# Spatial Panel FE
regsfe <- spgm(log(gsp) ~ log(pcap) + log(pc) + log(emp) + unemp, data=data, listw=lw, lag=TRUE, model="within", method="w2sls")
summary(regsfe)

# Spatial Panel BE
regsre <- spgm(log(gsp) ~ log(pcap) + log(pc) + log(emp) + unemp, data=data, listw=lw, lag=TRUE, method="b2sls")
summary(regsre)

# Spatial Panel RE
regsre <- spgm(log(gsp) ~ log(pcap) + log(pc) + log(emp) + unemp, data=data, listw=lw, lag=TRUE, method="g2sls")
summary(regsre)

